apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: dendrite

resources:
- base

patches:
- path: patches/replace-default-secret.yaml

# Still waiting for SSO
# https://github.com/element-hq/dendrite/issues/1297

helmCharts:
- name: dendrite
  repo: https://matrix-org.github.io/dendrite/
  releaseName: dendrite
  namespace: dendrite
  version: "0.14.6"
  # valuesFile: ./secret-values.yaml # Needed until https://github.com/element-hq/dendrite/issues/2591 is fixed
  valuesInline:
    dendrite_config:
      version: 2
      global:
        server_name: "matrix.schober.space"
        well_known_server_name: "matrix.schober.space:443"
        well_known_client_name: "https://matrix.schober.space"
        database:
          connection_string: "postgresql://{{ .user | toString }}:{{ .password | toString }}@psql-dendrite/dendrite"
    ingress:
      enabled: true
      className: "nginx"
      annotations:
        cert-manager.io/cluster-issuer: letsencrypt-prod
      hostName: "matrix.schober.space"
      tls:
      - hosts:
        - matrix.schober.space
        secretName: matrix-schober-space-cert

